//----------------------------------------------------------------------------------------------

// OpenClipController.m

//----------------------------------------------------------------------------------------------

// Copyright:	© 2014 by Sequoia Aircraft Corporation., all rights reserved.

/*



*/

#import "OpenClipController.h"

#import "OpenClipDoc.h"

//----------------------------------------------------------------------------------------------

@implementation OpenController


- (void)dealloc
{
  [super dealloc];
}


- (void)awakeFromNib
{
  [mBasicViewsBtn selectItemAtIndex:0];
  [mExtraViewsBtn selectItemAtIndex:0];
}


- (IBAction)copyToPasteboard:(id)sender
{
  //[mView getOpenClip:YES];
  [mView copyToPasteboard];
};


- (IBAction)refresh:(id)sender
{
  //mView.fileName = @"OpenClip";
  OpenClipDoc* ThisDoc = [[OpenClipDoc alloc] init];
  if ([ThisDoc openFile:@"OpenClip"]) {
    //mView.doc = ThisDoc;
    [mView setDocument:ThisDoc];
    [mView setNeedsDisplay:YES];
  };
  //[mView setNeedsDisplay:YES];
};


- (IBAction)basicViews:(id)sender
{
  int Item = [sender indexOfSelectedItem];
  //NSLog(@"basicViews: %d",Item);
  
  NSString* theFileName;
  
  switch (Item) {
    case 1 : theFileName = @"ThreePoints";
             break;
    case 2 : theFileName = @"FourPointswithZHeight";
             break;
    case 3 : theFileName = @"FourLines";
             break;
    case 4 : theFileName = @"FourLinesWithZHeight";
             break;
    case 5 : theFileName = @"Rectangles";
             break;
    case 6 : theFileName = @"RectanglesWithZHeight";
             break;
    case 7 : theFileName = @"RoundedRectangles";
             break;
    case 8 : theFileName = @"RotatedRectanglesWithZHeight";
             break;
    case 9 : theFileName = @"Circles";
             break;
    case 10 : theFileName = @"Ellipses";
              break;
    case 11 : theFileName = @"RotatedEllipses";
              break;
    case 12 : theFileName = @"CirclesAndEllipsesWithZHeight";
              break;
    case 13 : theFileName = @"CircularArcs";
              break;
    case 14 : theFileName = @"EllipticalArcs";
              break;
    case 15 : theFileName = @"Polygons";
              break;
    case 16 : theFileName = @"PolygonTopoContours";
              break;
    case 17 : theFileName = @"Beziers";
              break;
    case 18 : theFileName = @"BezierTopoContours";
              break;
    case 19 : theFileName = @"BSplines";
             break;
    case 20 : theFileName = @"BSplineTopoContours";
             break;
    case 21 : theFileName = @"ColorCheck";
             break;
    case 22 : theFileName = @"LotsOfObjects";
             break;
    case 23 : theFileName = @"ThreeGroups";
             break;
    case 24 : theFileName = @"ThreeLayers";
             break;
    case 25 : theFileName = @"3DSurfaces";
             break;
  };
  
  OpenClipDoc* ThisDoc = [[OpenClipDoc alloc] init];
  if ([ThisDoc openFile:theFileName]) {
    //mView.doc = ThisDoc;
    [mView setDocument:ThisDoc];
    [mView setNeedsDisplay:YES];
  };
  
};


- (IBAction)extraViews:(id)sender
{
  int Item = [sender indexOfSelectedItem];
  //NSLog(@"extraViews: %d",Item);
  
  NSString* theFileName;
  
  switch (Item) {
    case 1 : theFileName = @"Swirl";
             break;
    case 2 : theFileName = @"BlendedZSteps";
             break;
    case 3 : theFileName = @"LinearPatterning";
             break;
    case 4 : theFileName = @"ReflectedCeilingPlan";
             break;
    case 5 : theFileName = @"FloorPlan";
             break;
    case 6 : theFileName = @"FloorPlan2";
             break;
    case 7 : theFileName = @"AnotherReflectedCeilingPlan";
             break;
    case 8 : theFileName = @"Frog";
             break;
  };
  
  OpenClipDoc* ThisDoc = [[OpenClipDoc alloc] init];
  if ([ThisDoc openFile:theFileName]) {
    //mView.doc = ThisDoc;
    [mView setDocument:ThisDoc];
    [mView setNeedsDisplay:YES];
  };
  
};


- (IBAction)printThis:(id)sender
{
  [mView print:sender];
};


@end

//----------------------------------------------------------------------------------------------